Loading...
Searching...
No Matches
globus_ftp_client.h File Reference

GridFTP Client. More...

`#include "globus_ftp_control.h"`
`#include "globus_priority_q.h"`

Go to the source code of this file.

## Data Structures

struct | globus_ftp_client_restart_stream_t
| Stream mode restart marker. More...
struct | globus_ftp_client_restart_extended_block_t
| Extended block mode restart marker. More...
union | globus_ftp_client_restart_marker_t
| Restart marker. More...

## Macros

#define | GLOBUS_FTP_CLIENT_MODULE

## Typedefs

typedef struct globus_i_ftp_client_handle_t * | globus_ftp_client_handle_t
| FTP Client Handle.
typedef struct globus_i_ftp_client_plugin_t * | globus_ftp_client_plugin_t
| FTP Client plugin.
typedef void(* | globus_ftp_client_complete_callback_t) (void *user_arg, globus_ftp_client_handle_t *handle, globus_object_t *error)
typedef void(* | globus_ftp_client_data_callback_t) (void *user_arg, globus_ftp_client_handle_t *handle, globus_object_t *error, globus_byte_t *buffer, globus_size_t length, globus_off_t offset, globus_bool_t eof)
typedef struct globus_i_ftp_client_operationattr_t * | globus_ftp_client_operationattr_t
| Operation Attributes.
typedef struct globus_i_ftp_client_handleattr_t * | globus_ftp_client_handleattr_t
| Handle Attributes.
typedef struct globus_i_ftp_client_features_s * | globus_ftp_client_features_t
| Feature Handle.

## Enumerations

enum | globus_ftp_client_error_t
enum | globus_ftp_client_restart_type_t
enum | globus_ftp_client_tristate_t
enum | globus_ftp_client_probed_feature_t

## Variables

globus_module_descriptor_t | globus_i_ftp_client_module

## Detailed Description

GridFTP Client.

## Enumeration Type Documentation

## globus_ftp_client_error_t

enum globus_ftp_client_error_t

Error types

## Variable Documentation

## globus_i_ftp_client_module

globus_module_descriptor_t globus_i_ftp_client_module

extern

Module descriptor static initializer.